include mixins

doctype html
head
  +head
  
.click-closed
+navbar('blog')
section.intro-single
  .container
    .row
      .col-md-12.col-lg-8
        .title-single-box
          h1.title-single Editar Pelicula
      .col-md-12.col-lg-4
        nav.breadcrumb-box.d-flex.justify-content-lg-end(aria-label='breadcrumb')
          ol.breadcrumb
            li.breadcrumb-item
              a(href='/') Home
            li.breadcrumb-item.active(aria-current='page')
              | About
                
    section.contact
        .container
            .row
                .col-sm-12
                .col-sm-12.section-t8
                    .row
                        .col-md-12
                            - var error = error
                            +error(error)
                            - var pelicula= pelicula
                            form.form-a(method='POST' action=`/updatepelicula/${pelicula._id}?_method=PUT` enctype="multipart/form-data")
                                input(type='hidden' name='_method' value='PUT')
                                .row
                                    .col-md-6.mb-3
                                        .form-group
                                            label(for='title') Titulo:
                                            input.form-control.form-control-lg.form-control-a(type='text' name='titulo' required='' value=`${pelicula.titulo}` )
                                    .col-md-6.mb-3
                                        .form-group
                                           label(for='desc') Categoria:
                                           select#inlineFormCustomSelect.form-control.form-control-lg.form-control-a(name='categoria' value=`${pelicula.categoria}` required='')
                                              if (pelicula.categoria === "Comedia")
                                                option(selected) Comedia
                                                option Accion
                                                option Terror
                                              if (pelicula.categoria === "Accion")
                                                option Comedia
                                                option(selected) Accion
                                                option Terror
                                              if (pelicula.categoria === "Terror")
                                                option Comedia
                                                option Accion
                                                option(selected) Terror
                                           //input.form-control.form-control-lg.form-control-a(type='text' name='categoria' required='' value=`${pelicula.categoria}` )
                                    
                                    .col-md-12.mb-3
                                        .form-group
                                            label(for='desc') Descripción:
                                            textarea.form-control(name="descripcion" cols='45' rows='5' ) #{pelicula.descripcion}
                                    .col-md-12.mb-3
                                        .form-group
                                            label(for='desc') Imagen:
                                            input.form-control.form-control-lg.form-control-a(type="hidden" name="id2" value=`${id}`)
                                            input.form-control.form-control-lg.form-control-a(type="hidden" name="imageAnterior" value=`${pelicula.image}`)
                                            input.form-control.form-control-lg.form-control-a(type='file' name="image" value=`${pelicula.image}`)
                                            p.imagenactual Imagen actual: #{pelicula.image}
                                            p.errorextension #{errorextension} 
                                    .col-md-12.mb-3
                                           label(for='desc') Tags:
                                    .col-md-4.mb-3
                                        .form-group
                                           input.form-control.form-control-lg.form-control-a(type='text' name='tag' required='' value=`${pelicula.tags[0]}` )
                                    .col-md-4.mb-3
                                        .form-group
                                           input.form-control.form-control-lg.form-control-a(type='text' name='tag1' value=`${pelicula.tags[1] || ''}` )
                                    .col-md-4.mb-3
                                        .form-group
                                           input.form-control.form-control-lg.form-control-a(type='text' name='tag2' value=`${pelicula.tags[2] || ''}` )
                                    .col-md-6.mb-3
                                        .form-group
                                            a.btn.btn-a(href=`/pelicula`) Cancelar
                                    .col-md-6.mb-3
                                        .form-group
                                            button.btn.btn-a(type='submit') Actualizar Pelicula

+footer
+scripts